Schema::SchemaCallbackHelper Class Reference

this class provides callback support for schema operations More...

## Public Member Functions

| constructor (AbstractSchema sc, int v=0)
| creates the callback object from the given arguments More...
hash | getCallbacks (bool force=False)
| returns a callback option hash usable with SqlUtil schema operations
| infoCallback (string str, int ac, *string type, *string name, *string table, *string new_name, *string info)
| this is the informational callback method for schema operations
| sqlCallback (string str)
| this is the SQL callback method for schema operations
nothing | sqlForceCallback (string str)
| this is the SQL callback method for forced schema operations

## Detailed Description

this class provides callback support for schema operations

## Member Function Documentation

## constructor()

Schema::SchemaCallbackHelper::constructor | ( | AbstractSchema | sc,
|  | int | v = `0`
| ) |  |

creates the callback object from the given arguments

Parameters

  sc | the Schema::AbstractSchema "AbstractSchema" object for output logging and SQL execution
  v | the verbosity level; larger numbers mean more output